package com.kmall.admin.service.impl;

import com.kmall.admin.dao.OrderProcessRecordDao;
import com.kmall.admin.entity.OrderProcessRecordEntity;
import com.kmall.admin.service.OrderProcessRecordService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;


/**
 * 订单流转过程记录表Service实现类
 *
 * @author huangyq
 * @email admin@qhdswl.com
 * @date 2018-10-27 16:38:50
 */
@Service("orderProcessRecordService")
public class OrderProcessRecordServiceImpl implements OrderProcessRecordService {
    @Autowired
    private OrderProcessRecordDao orderProcessRecordDao;

    @Override
    public OrderProcessRecordEntity queryObject(Integer id) {
        return orderProcessRecordDao.queryObject(id);
    }

    @Override
    public List<OrderProcessRecordEntity> queryList(Map<String, Object> map) {
        return orderProcessRecordDao.queryList(map);
    }

    @Override
    public int queryTotal(Map<String, Object> map) {
        return orderProcessRecordDao.queryTotal(map);
    }

    @Override
    public int save(OrderProcessRecordEntity orderProcessRecord) {
        return orderProcessRecordDao.save(orderProcessRecord);
    }

    @Override
    public int update(OrderProcessRecordEntity orderProcessRecord) {
        return orderProcessRecordDao.update(orderProcessRecord);
    }

    @Override
    public int delete(Integer id) {
        return orderProcessRecordDao.delete(id);
    }

    @Override
    public int deleteBatch(Integer[]ids) {
        return orderProcessRecordDao.deleteBatch(ids);
    }

    @Override
    public OrderProcessRecordEntity queryObjectByOrderSn(String orderSn) {
        return orderProcessRecordDao.queryObjectByOrderSn(orderSn);
    }
}
